Results 1 to 2 of 2

Thread: Build Failed, but why?

  1. #1
    Sencha User
    Join Date
    Feb 2013
    Posts
    1
    Vote Rating
    0
      0  

    Default Build Failed, but why?

    Having just started today, I was making good progress with following the tutorial, installed Ruby 1.8.7, added compass, but it still fails, I'm afraid I don't know how to proceed, have a look at the error, let me know if you have any ideas, if I can't get this working I'll have to look for another framework

    [INF] [shellscript] C:\xampp\htdocs\MyApp\resources\sass>compass compi
    le --boring --force
    [INF] [shellscript] C:/Ruby187/lib/ruby/1.8/optparse.rb:1450:in `compl
    ete''': invalid option: --boring (OptionParser::InvalidOption)
    [INF] [shellscript] from C:/Ruby187/lib/ruby/1.8/optparse.rb:1448:in
    `catch'''
    [INF] [shellscript] from C:/Ruby187/lib/ruby/1.8/optparse.rb:1448:in
    `complete'''
    [INF] [shellscript] from C:/Ruby187/lib/ruby/1.8/optparse.rb:1261:in
    `parse_in_order'''
    [INF] [shellscript] from C:/Ruby187/lib/ruby/1.8/optparse.rb:1254:in
    `catch'''
    [INF] [shellscript] from C:/Ruby187/lib/ruby/1.8/optparse.rb:1254:in
    `parse_in_order'''
    [INF] [shellscript] from C:/Ruby187/lib/ruby/1.8/optparse.rb:1248:in
    `order!'''
    [INF] [shellscript] from C:/Ruby187/lib/ruby/1.8/optparse.rb:1339:in
    `permute!'''
    [INF] [shellscript] from C:/Ruby187/lib/ruby/1.8/optparse.rb:1360:in
    `parse!'''
    [INF] [shellscript] from C:/Ruby187/lib/ruby/gems/1.8/gems/chrisepps
    tein-compass-0.8.17/lib/compass/exec.rb:65:in `parse!'''
    [INF] [shellscript] from C:/Ruby187/lib/ruby/gems/1.8/gems/chrisepps
    tein-compass-0.8.17/lib/compass/exec.rb:35:in `initialize'''
    [INF] [shellscript] from C:/Ruby187/lib/ruby/gems/1.8/gems/chrisepps
    tein-compass-0.8.17/bin/compass:7:in `new'''
    [INF] [shellscript] from C:/Ruby187/lib/ruby/gems/1.8/gems/chrisepps
    tein-compass-0.8.17/bin/compass:7
    [INF] [shellscript] from C:/Ruby187/bin/compass:23:in `load'''
    [INF] [shellscript] from C:/Ruby187/bin/compass:23
    [ERR]
    [ERR] BUILD FAILED
    [ERR] com.sencha.exceptions.BasicException: The following error occurr
    ed while executing this line:
    [ERR] C:\xampp\htdocs\MyApp\.sencha\app\build-impl.xml:109: The follow
    ing error occurred while executing this line:
    [ERR] jar:file:/C:/xampp/htdocs/sencha/Sencha/Cmd/3.0.2.288/sencha.jar
    !/com/sencha/ant/antlib.xml:364: shellscript returned: 1
    [ERR] at com.sencha.exceptions.BasicException.wrap(BasicExcept
    ion.java:43)
    [ERR] at com.sencha.cli.Command.dispatch(Command.java:104)
    [ERR] at com.sencha.cli.Commands.dispatch(Commands.java:49)
    [ERR] at com.sencha.cli.AbstractCommand.dispatch(AbstractComma
    nd.java:182)
    [ERR] at com.sencha.ant.SenchaCommandTask.doExecute(SenchaComm
    andTask.java:69)
    [ERR] at com.sencha.ant.BaseAntTask.execute(BaseAntTask.java:2

  2. #2
    Sencha - Sr Software Engineer mitchellsimoens's Avatar
    Join Date
    Mar 2007
    Location
    Gainesville, FL
    Posts
    39,551
    Vote Rating
    1271
      0  

    Default

    You can always give the command the -d and it will show a little more info but looks like it's something with the compass compile. You can test this separate from the Cmd build via doing a compass compile in the sass directory
    Mitchell Simoens @LikelyMitch
    Sencha Inc, Senior Software Engineer
    ________________
    Learn BBCode and use it! Checkout the CODE tag!

    Check out my GitHub, lots of nice things for Ext JS and Sencha Touch
    https://github.com/mitchellsimoens

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •